package com.zcxk.evaluation.dao;

import com.zcxk.evaluation.entity.EvaluationCycleEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * sc_evaluation_cycleDAO接口
 * @author: WYY
 * @date 2021-05-08 09:09
 */
@Mapper
public interface EvaluationCycleMapper extends BaseMapper<EvaluationCycleEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  evaluationCycleEntity 实体类
     */
     Page<EvaluationCycleEntity> findPage(IPage<EvaluationCycleEntity> page,
                                       @Param("evaluationCycle") EvaluationCycleEntity evaluationCycleEntity);

     EvaluationCycleEntity findEvaluationCycleById(Serializable id);


     List<EvaluationCycleEntity> findList(EvaluationCycleEntity evaluationCycleEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
