package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationPerformanceAvgVo
 * @Description: 绩效平均值
 * @Author lihui
 * @Date 2021/5/13
 * @Version V1.0
 **/
@Data
@ApiModel(value = "绩效平均值")
public class EvaluationPerformanceAvgVo {

    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty(value = "平均值")
    private BigDecimal avg;

}
