package com.zcxk.task.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.common.Double2Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("任务变化趋势")
public class TaskChangeTendDto implements Serializable {

    @ApiModelProperty(value = "创建时间")
    private String dateCreate;

    @ApiModelProperty(value = "时间标签")
    private String dateLabel;

    @ApiModelProperty(value = "任务数")
    private Integer taskCount;

    @ApiModelProperty(value = "人均任务量")
    @JsonSerialize(using = Double2Serializer.class)
    private Double taskCountAvg;
}
