package com.zcxk.dto.generalView;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2021/1/6 16:49
 */
@Api("生成调度中心概览数据")
@Data
public class GeneralViewResults implements Serializable {


    private static final long serialVersionUID = 452556952461741933L;

    @ApiModelProperty("近30天水量")
    List<DeviceWaterSupply> deviceWaterSupplies;

    @ApiModelProperty("供水详情数据")
    DeviceWaterAmount deviceWaterAmount;

    @ApiModelProperty("实时报警信息")
    List<SceneAlarm> sceneAlarms;

    @ApiModelProperty("管网水质情况")
    List<SceneNormalRate> SceneNormalRates;

    @ApiModelProperty("压力分布区间")
    SceneWaterPressure sceneWaterPressure;

    @ApiModelProperty("水量排行")
    List<SceneWaterAmount> sceneWaterAmounts;

    @ApiModelProperty("对比曲线图")
    List<WaterSupplyChart> waterSupplyCharts;


}
