package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName ReportDimensionSettingEntity
 * @Description: 报表统计维度设置
 * @Author lihui
 * @Date 2021/4/13
 * @Version V1.0
 **/
@Data
@ApiModel("报表统计维度设置")
public class ReportDimensionSettingEntity implements Serializable {


    private static final long serialVersionUID = 6722509154948828769L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Integer userId;

    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value = "设备参数ID")
    private Integer deviceParmId;

    @ApiModelProperty(value = "归类")
    private String classify;

    @ApiModelProperty(value = "展示开关")
    private boolean showOnOff;

    @ApiModelProperty(value = "是否展示最小值")
    private boolean showMinValue;

    @ApiModelProperty(value = "是否展示最大值")
    private boolean showMaxValue;

    @ApiModelProperty(value = "是否展示平均值")
    private boolean showAvgValue;

    @ApiModelProperty(value = "是否展示合计值")
    private boolean showSumValue;

    @ApiModelProperty(value = "是否展示最新值")
    private boolean showLatestValue;

    @ApiModelProperty(value = "类型 null 统计分析  1历史数据")
    private Integer type;
}
