package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 组织(Org)实体类
 *
 * @author makejava
 * @since 2020-10-22 16:54:22
 */
@Data
@ApiModel
public class Org implements Serializable {
    private static final long serialVersionUID = -45807482847486865L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 租户标识
     */
    @ApiModelProperty(value = "租户标识")
    private String tenantId;
    /**
     * 机构类型
     */
    @ApiModelProperty(value = "机构类型")
    private String orgType;
    /**
     * 上级机构
     */
    @ApiModelProperty(value = "上级机构")
    private Integer parentOrgId;
    /**
     * 机构所在区域
     */
    @ApiModelProperty(value = "机构所在区域")
    private Integer orgAreaId;
    /**
     * 机构名称
     */
    @ApiModelProperty(value = "机构名称")
    private String orgName;
    /**
     * 机构状态
     */
    @ApiModelProperty(value = "机构状态")
    private Integer orgState;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 机构负责人名称
     */
    @ApiModelProperty(value = "机构负责人名称")
    private String orgLeaderName;
    /**
     * 机构负责人手机
     */
    @ApiModelProperty(value = "机构负责人手机")
    private String orgLeaderPhone;
    /**
     * 机构负责人邮箱
     */
    @ApiModelProperty(value = "机构负责人邮箱")
    private String orgLeaderEmail;
    /**
     * 机构负责人性别
     */
    @ApiModelProperty(value = "机构负责人性别")
    private String orgLeaderSex;
    /**
     * 数据删除标记
     */
    @ApiModelProperty(value = "数据删除标记")
    private Integer status;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @ApiModelProperty(value = "")
    private Date dateUpdate;
    @ApiModelProperty(value = "")
    private String updateBy;
}