package com.zcxk.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.zcxk.common.Double2Serializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("运维人员数量情况")
public class MaintainerCountDto {
    @ApiModelProperty(value = "人员数量")
    private Integer count;
    @ApiModelProperty(value = "环比人员数量")
    private Integer countMOnM;
    @ApiModelProperty(value = "同比人员数量")
    private Integer countYOnY;
    @ApiModelProperty(value = "环比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double rateMOnM;
    @ApiModelProperty(value = "同比")
    @JsonSerialize(using = Double2Serializer.class)
    private Double rateYOnY;
}