package com.zcxk.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 应用(App)实体类
 *
 * @author makejava
 * @since 2020-10-20 16:55:21
 */
@Data
@ApiModel
public class App implements Serializable {
    private static final long serialVersionUID = 269554608076349144L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private Integer id;
    /**
     * 应用名称
     */
    @ApiModelProperty(value = "应用名称")
    private String appName;
    /**
     * 应用ID
     */
    @ApiModelProperty(value = "应用ID")
    private String appId;
    /**
     * 应用密钥
     */
    @ApiModelProperty(value = "应用密钥")
    private String appSecretKey;
    /**
     * 应用URL
     */
    @ApiModelProperty(value = "应用URL")
    private String appWebUrl;
    /**
     * 数据删除标识
     */
    @ApiModelProperty(value = "数据删除标识")
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;
    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @ApiModelProperty(value = "")
    private Date dateUpdate;
}