package com.zcxk.charge.api.dto.alarm;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 数据报警导出查询字段
 * @author lihui
 * @version V1.0
 * @date 2021/6/3
 **/
@Data
@Api("数据报警导出查询字段")
public class DataAlarmExportDto implements Serializable {

    @ApiModelProperty(value = "名称")
    private String alarmName;

    @ApiModelProperty(value = "开始时间")
    private String beginTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "0:实时数据，1：历史数据，2：数据分析")
    @NotNull
    private Integer exportType;
}
