package com.zcxk.charge.api.dto.query;

import com.zcxk.charge.api.dto.BasePageDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description 报警信息
 * @author andy
 */
@Api("报警信息")
@Data
public class AlarmDetailsPageDto extends BasePageDto {

    @ApiModelProperty(value = "报警信息id")
    private List<Integer> ids;

    @ApiModelProperty(value = "查询：设备名称")
    private String condition;

    @ApiModelProperty(value = "报警类型")
    private String alarmType;

    @ApiModelProperty(value = "处理状态")
    private Integer opState;

    @ApiModelProperty(value = "所属场景id")
    private  Integer sceneId;

    @ApiModelProperty(value = "场景类型名字")
    private String sceneTypeName;

    @ApiModelProperty(value = "查询：开始时间")
    private String startTime;

    @ApiModelProperty(value = "查询：结束时间")
    private String endTime;

    @ApiModelProperty(value = "数据类型：1 实时报警 0 历史报警")
    private Integer state;

}
