package com.zcxk.charge.api.dto.watepump;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ClassName ReprotWaterPumpQueryDto
 * @Description: 泵站状态数据记录
 * @Author lihui
 * @Date 2021/4/20
 * @Version V1.0
 **/
@Data
public class ReprotWaterPumpDto implements Serializable  {

    @ApiModelProperty(value = "年")
    private Integer year;

    @ApiModelProperty(value = "月")
    private Integer month;

    @ApiModelProperty(value = "日")
    private Integer day;

    @ApiModelProperty(value = "设备信息")
    private List<WaterPumpDataDto> deviceList;

}
