package com.zcxk.charge.core.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.core.entity.DeviceAttributeSpecsEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 *
 * sms_device_attribute_specsDAO接口
 * @author: WYY
 * @date 2020-11-20 20:29
 */
@Mapper
public interface DeviceAttributeSpecsMapper extends BaseMapper<DeviceAttributeSpecsEntity> {

	/**
	* 自定义分页查询
	* @author Andy
	* @date 18:49 2021/8/17
	* @param page:
	* @param deviceAttributeSpecsEntity:
	* @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.zcxk.charge.core.entity.DeviceAttributeSpecsEntity>
	**/
     Page<DeviceAttributeSpecsEntity> findPage(IPage<DeviceAttributeSpecsEntity> page,
                                               @Param("deviceAttributeSpecs") DeviceAttributeSpecsEntity deviceAttributeSpecsEntity);

     /**
     * 查询单个
     * @author Andy
     * @date 18:49 2021/8/17
     * @param id:
     * @return com.zcxk.charge.core.entity.DeviceAttributeSpecsEntity
     **/
     DeviceAttributeSpecsEntity findDeviceAttributeSpecsById(Serializable id);


     /**
     * 集合
     * @author Andy
     * @date 18:49 2021/8/17
     * @param deviceAttributeSpecsEntity:
     * @return java.util.List<com.zcxk.charge.core.entity.DeviceAttributeSpecsEntity>
     **/
     List<DeviceAttributeSpecsEntity> findList(DeviceAttributeSpecsEntity deviceAttributeSpecsEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
