package com.zcxk.charge.web.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zcxk.charge.api.dto.alarm.DataAlarmDto;
import com.zcxk.charge.api.vo.DataAlarmDetailsVo;

/**
 * 数据报警详情
 * @author lihui
 * @version V1.0
 * @date 2021/5/28
 **/
public interface DataAlarmDetailService {

    /***
     * 分页查询
     * @author lihui
     * @date 15:01 2021/5/31
     * @param dto :  参数
     * @param isHistory : 0不是，1是
     * @return com.baomidou.mybatisplus.core.metadata.IPage<com.zcxk.vo.DataAlarmDetailsVo>
     **/
    Page<DataAlarmDetailsVo> findPage(DataAlarmDto dto, int isHistory);

    /***
     * 删除
     * @author lihui
     * @date 15:50 2021/5/31
     * @param alarmId :
     * @param  status :挂起：0不是，1是
     * @return void
     **/
    void hangUpAlarmDetails(Long alarmId, int status);
}
