package com.zcxk.rmcp.api.dto.alarm;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
/**
 *
 * @author heyumin
 * @date 2021-07-30 9:44
 */
@Data
public class AlarmTypeDto {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 产品类型
     */
    @ApiModelProperty(value = "产品类型")

    private Integer productCategroyId;
    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")

    private Integer deviceTypeId;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * status
     */
    @ApiModelProperty(value = "status",hidden = true)
    @JsonIgnore
    private Integer status;
    /**
     * createDate
     */
    @ApiModelProperty(value = "createDate",hidden = true)
    @JsonIgnore
    private Date createDate;
    /**
     * createBy
     */
    @ApiModelProperty(value = "createBy",hidden = true)
    @JsonIgnore
    private String createBy;
    /**
     * updateDate
     */
    @ApiModelProperty(value = "updateDate",hidden = true)
    @JsonIgnore
    private Date updateDate;
    /**
     * updateBy
     */
    @ApiModelProperty(value = "updateBy",hidden = true)
    @JsonIgnore
    private String updateBy;
    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")

    private String typeDesc;
    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id")
    @JsonIgnore
    private String tenantId;
    /**
     * 1启用 2禁用
     */
    @ApiModelProperty(value = "1启用 2禁用")
    private Integer alarmStatus;
    @ApiModelProperty(value = "水表数目")
    private Integer numberOfWaterMeters;
    @ApiModelProperty(value = "产品类型")
    private String categoryName;
    @ApiModelProperty(value = "设备型号")
    private String productName;
}
