package com.zcxk.rmcp.api.dto.community;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @author Andy
 * @version V1.0
 * @description: 小区传参
 * @date 2021/7/19
 **/
@Data
@ToString
@ApiModel(value="查询小区")
public class CommunityDto {

    @ApiModelProperty(value = "小区名称")
    private String name;

    @ApiModelProperty(value = "公司")
    private Integer companyOrgId;

    @ApiModelProperty(value = "部门")
    private Integer deptOrgId;

}
