package com.zcxk.rmcp.api.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备分类小区vo
 * @date 2021/7/21
 **/
@Data
public class DeviceCategoryCommunityVo {

    @ApiModelProperty(value="分类id")
    private Long categoryId;

    @ApiModelProperty(value="分类名字")
    private String categoryName;

    @ApiModelProperty(value="小区ID")
    private Long communityId;

    @ApiModelProperty(value="小区名字")
    private String name;

    @ApiModelProperty(value="小区地址")
    private String address;

    @ApiModelProperty(value="经度")
    private BigDecimal lng;

    @ApiModelProperty(value="维度")
    private BigDecimal lat;

    @ApiModelProperty(value="状态")
    private String status;

    @ApiModelProperty(value="总数")
    private int total;

}
