package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-07-20 16:16
 */
@ApiModel(value="com-zcxk-rmcp-core-entity-devicecommand")
@Data
public class DeviceCommand  extends BaseDO {


    /**
    * 设备id
    */
    @ApiModelProperty(value="设备id")
    private Long deviceId;

    /**
    * 指令类型
    */
    @ApiModelProperty(value="指令类型")
    private Integer commandType;

    /**
    * 指令状态
    */
    @ApiModelProperty(value="指令状态")
    private Integer commandStatus;

    /**
    * 操作类型
    */
    @ApiModelProperty(value="操作类型")
    private Integer operationType;

    /**
    * 备注
    */
    @ApiModelProperty(value="备注")
    private String remark;

    /**
    * 指令id
    */
    @ApiModelProperty(value="指令id")
    private String commandId;

    /**
    * 下发时间
    */
    @ApiModelProperty(value="下发时间")
    private LocalDateTime issueDate;

    /**
    * 完成时间
    */
    @ApiModelProperty(value="完成时间")
    private LocalDateTime finishDate;

    /**
    * 参数
    */
    @ApiModelProperty(value="参数")
    private String params;

    /**
    * 平台
    */
    @ApiModelProperty(value="平台")
    private Integer platform;

    /**
    * 关联id
    */
    @ApiModelProperty(value="关联id")
    private String relationId;

    /**
    * 推送状态 0未推送 1已推送
    */
    @ApiModelProperty(value="推送状态 0未推送 1已推送")
    private Integer pushStatus;

}