package com.zcxk.rmcp.web.service;

import com.zcxk.rmcp.api.vo.ProductCategoryVo;
import com.zcxk.rmcp.core.entity.ProductCategory;

import java.util.List;

/**
 * 
 * @author linqingwei
 * @date 2021-07-21 17:00
 */
public interface ProductCategoryService{


    /**
    * 添加数据
    * @author Andy
    * @date 14:59 2021/8/3
    * @param record:
    * @return int
    **/
    int insertSelective(ProductCategory record);

    /**
    * 更新数据
    * @author Andy
    * @date 14:59 2021/8/3
    * @param record:
    * @return int
    **/
    int updateByPrimaryKeySelective(ProductCategory record);

    /**
    *  获取产品分类
    * @author Andy
    * @date 14:59 2021/8/3
    * @param :
    * @return java.util.List<com.zcxk.rmcp.api.vo.ProductCategoryVo>
    **/
    List<ProductCategoryVo> listProductCategory();

}
