package com.zcxk.xxljob;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


/**
 * @author Andy
 * @version V1.0
 **/
@SpringBootApplication
@EnableSwagger2
@ComponentScan(basePackages = {"com.zcxk"})
@MapperScan("com.zcxk.rmcp.core.dao")
@Slf4j
public class ZoniotXxlJobClientApplication {

	public static void main(String[] args) {
		log.info("=====================Create-XXJOB客户端START==============");
		SpringApplication.run(ZoniotXxlJobClientApplication.class, args);
		log.info("=====================Create-XXJOB客户端END================");
	}

}
