package com.zcxk.evaluation.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName EvaluationResultUpdateDto
 * @Description: 考评结果修改
 * @Author lihui
 * @Date 2021/5/11
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考评结果修改")
public class EvaluationResultUpdateDto {

    @ApiModelProperty(value="考评结果ID")
    private Integer evaluationResultId;

    @ApiModelProperty(value="得分")
    private BigDecimal score;

    @ApiModelProperty(value="等级")
    private Integer evaluationGrade;

    @ApiModelProperty(value="更新人")
    private String updateBy;

    @ApiModelProperty(value="更新时间")
    private Date dateUpdate;

    @ApiModelProperty(value="考评时间")
    private Date dateEvaluation;

    @ApiModelProperty(value="考评人")
    private String evaluationBy;

}
