package com.zcxk.evaluation.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName EvaluationResultVo
 * @Description: 考核结果出参
 * @Author lihui
 * @Date 2021/5/7
 * @Version V1.0
 **/
@Data
@ApiModel(value = "考核结果返回信息")
public class EvaluationReportRankingVo {

    @ApiModelProperty(value = "被考评人")
    private String evaluationBe;

    @ApiModelProperty(value = "考评得分")
    private BigDecimal value;

    @ApiModelProperty(value = "绩效等级")
    private String evaluationGrade;

    @ApiModelProperty(value = "已完成")
    private int completeCount;

    @ApiModelProperty(value = "延期完成数")
    private int delayCompleteCount;

    @ApiModelProperty(value = "延期完成数")
    private int totalCount;

    @ApiModelProperty(value = "完成率")
    private BigDecimal completionRate;

}
