package com.zcxk.org;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel
public class Org implements Serializable {

    private static final long serialVersionUID = 813791045057448389L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value = "机构类型")
    private String orgType;

    @ApiModelProperty(value = "上级机构")
    private Integer parentOrgId;

    @ApiModelProperty(value = "机构所在区域")
    private Integer orgAreaId;

    @ApiModelProperty(value = "机构名称")
    private String orgName;

    @ApiModelProperty(value = "机构状态")
    private Integer orgState;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "机构负责人名称")
    private String orgLeaderName;

    @ApiModelProperty(value = "机构负责人手机")
    private String orgLeaderPhone;

    @ApiModelProperty(value = "机构负责人邮箱")
    private String orgLeaderEmail;

    @ApiModelProperty(value = "机构负责人性别")
    private String orgLeaderSex;

    @ApiModelProperty(value = "数据删除标记")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    private Date dateUpdate;

    @ApiModelProperty(value = "更新人")
    private String updateBy;
}