package com.zcxk.dao;

import com.zcxk.dto.scene.SceneIdDto;
import com.zcxk.entity.DeviceSceneEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 *
 * sms_device_sceneDAO接口
 * @author: WYY
 * @date 2020-12-23 09:57
 */
@Mapper
public interface DeviceSceneMapper extends BaseMapper<DeviceSceneEntity> {
     DeviceSceneEntity findDeviceSceneById(Serializable id);

     List<DeviceSceneEntity> findList(DeviceSceneEntity deviceSceneEntity);

     SceneIdDto findSceneId(String firstSceneTypeName, String secondSceneTypeName, Long deviceId);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
