package com.zcxk.dto;

import com.zcxk.entity.DeviceEntity;
import com.zcxk.entity.SceneEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description 公司————场景信息
 * @auto wangli
 * @data 2021/3/19 14:28
 */
@Data
public class CompanySceneInfoDto implements Serializable {

    @ApiModelProperty("公司信息")
    private List<OrgBaseTreeInfoDto> orgBaseTreeInfoDtos;
    @ApiModelProperty("第一个公司的场景信息")
    private List<SceneEntity> sceneEntities;
    @ApiModelProperty("第一个公司的设备信息")
    private List<DeviceEntity> deviceEntities;

    public CompanySceneInfoDto(){}

    public CompanySceneInfoDto(List<OrgBaseTreeInfoDto> orgBaseTreeInfoDtos,List<SceneEntity> sceneEntities,List<DeviceEntity> deviceEntities){
        this.orgBaseTreeInfoDtos =orgBaseTreeInfoDtos;
        this.sceneEntities =sceneEntities;
        this.deviceEntities =deviceEntities;
    }
}
