package com.zcxk.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("报表统计维度参数")
public class ReportStatisticalDimensionDto implements Serializable {

    private static final long serialVersionUID = 4074399088580570408L;

    @ApiModelProperty("主键")
    private String dimensionId;

    @ApiModelProperty("归类")
    private String classify;

    @ApiModelProperty("场景设备属性ID")
    private Integer deviceParmId;

    @ApiModelProperty("展示开关")
    private boolean showOnOff;

    @ApiModelProperty("展示最小值")
     private boolean showMinValue;

    @ApiModelProperty("展示最大值")
    private boolean showMaxValue;

    @ApiModelProperty("展示平均值")
    private boolean showAvgValue;

    @ApiModelProperty("展示合计值")
    private boolean showSumValue;

    @ApiModelProperty("展示最新值")
    private boolean showLatestValue;

    @ApiModelProperty("用户ID")
    private Integer userId;

    @ApiModelProperty("租户ID")
    private String tenantId;

    @ApiModelProperty("类型")
    private Integer type;

}
