package com.zcxk.entity.alarm;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 数据分析
 * @author lihui
 * @version V1.0
 * @date 2021/5/28
 **/
@Data
@TableName("sms_data_alarm_analysis")
public class DataAlarmAnalysisEntity extends DataAlarmSetting {

    @ApiModelProperty(value = "报警管理ID")
    private Long manageId;

    @ApiModelProperty(value = "名称")
    private String alarmName;

    @ApiModelProperty(value = "报警值")
    private BigDecimal beAlarmValue;

    @ApiModelProperty(value = "报警对比值")
    private BigDecimal toAlarmValue;

    @ApiModelProperty(value = "报警结果值")
    private BigDecimal resultAlarmValue;

}
