package com.zcxk.service;

import com.zcxk.dto.watePump.ReprotWaterPumpDto;

import java.util.List;

/**
 * @ClassName ReportWaterPumpStateService
 * @Description: 水泵状态业务处理
 * @Author lihui
 * @Date 2021/4/21
 * @Version V1.0
 **/
public interface ReportWaterPumpStateService {

    /**
    * @Author lihui
    * @Description 查询场景下设备的泵站状态数据
    * @Date 18:04 2021/4/21
    * @Param [sceneId ： 场景ID, days ： 查询的时间范围]
    * @return java.util.List<com.zcxk.dto.watepump.ReprotWaterPumpDto>
    **/
    List<ReprotWaterPumpDto> findReportWaterPumpStateList(Long sceneId, List<Long> sceneIds, Integer days);
}
