package com.zcxk.dao;

import com.zcxk.entity.UserRoleEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * uims_user_roleDAO接口
 * @author: WYY
 * @date 2020-10-24 18:26
 */
@Mapper
public interface UserRoleMapper extends BaseMapper<UserRoleEntity> {

	/**
     * 自定义分页查询
     * @param  page 
     * @param  userRoleEntity 实体类
     */
     Page<UserRoleEntity> findPage(IPage<UserRoleEntity> page, @Param("userRole") UserRoleEntity userRoleEntity);

     UserRoleEntity findUserRoleById(Serializable id);


     List<UserRoleEntity> findList(UserRoleEntity userRoleEntity);

     /**删除相关方法  使用mybatis-plus集成的 **/
}
