package com.zcxk.dao;

import com.zcxk.entity.UserTagEntity;
import java.io.Serializable;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
/**
 *
 * uims_user_tagDAO接口
 * @author: WYY
 * @date 2020-10-23 15:43
 */
@Mapper
public interface UserTagMapper extends BaseMapper<UserTagEntity> {

    /**
     * 自定义分页查询
     *
     * @param page
     * @param userTagEntity 实体类
     */
    Page<UserTagEntity> findPage(IPage<UserTagEntity> page, @Param("userTag") UserTagEntity userTagEntity);

    UserTagEntity findUserTagById(Serializable id);

    List<UserTagEntity> findList(UserTagEntity userTagEntity);

    /**删除相关方法  使用mybatis-plus集成的 **/
}
