package com.zcxk.charge.api.dto.query;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/16
 **/
@Data
public class MonitorDataQueryDto  {

    @ApiModelProperty(value = "场景id")
    @NotEmpty
    @NotNull
    private Long sceneId;

    @ApiModelProperty(value = "时间 日期，格式：2020-12-12")
    private String reportDate;

    @NotEmpty
    @NotNull
    @ApiModelProperty(value = "类型,1年2月3日4自定义")
    private  Integer reportType;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

}
