package com.zcxk.charge.api.dto.watepump;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName WaterPumpStateDto
 * @Description: 泵站设备信息
 * @Author lihui
 * @Date 2021/4/21
 * @Version V1.0
 **/
@Data
public class WaterPumpDataDto {

    @ApiModelProperty(value = "租户标识")
    private String tenantId;

    @ApiModelProperty(value = "设备信息")
    private Integer deviceId;

    @ApiModelProperty(value = "设备编号")
    private String deviceCode;

    @ApiModelProperty(value = "设备属性")
    private Long attributeId;

    @ApiModelProperty(value = "设备名字")
    private String attributeName;

    @ApiModelProperty(value = "状态信息")
    private List<WaterPumpStateDto> stateList;
}
