package com.zcxk.core.mongo.pageing;

import java.io.Serializable;
import java.util.List;
import lombok.Data;

/**
 * @author Andy
 * @description: 分页组件
 * @date 2021/07
 */
@Data
public class Page<T> implements Serializable {

    /**
     * 总条数
     */
    private Long total;
    /**
     * 内容
     */
    private List<T> list;

    public Page() {
    }

    public Page(Long total, List<T> list) {
        this.total = total;
        this.list = list;
    }
}
