package com.zcxk.rmcp.api.dto.device;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author Andy
 * @version V1.0
 * @description: 设备数据dto
 * @date 2021/8/2
 **/
@ApiModel
@Data
public class DeviceDataDto {

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="测点code")
    private String measuringCode;

    @ApiModelProperty(value="查询日期,YYYYMMDD格式")
    private Integer startDate;

    @ApiModelProperty(value="查询日期,YYYYMMDD格式")
    private Integer endDate;

}
