package com.zcxk.rmcp.api.dto.devicecommand;

import com.zcxk.rmcp.api.dto.BasePageDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

/**
 * @author Andy
 * @version V1.0
 * @description: 设备维护分页
 * @date 2021/7/19
 **/
@Data
@ToString
@ApiModel(value="设备维护-阀控管理分页")
public class DeviceCommandPageDto extends BasePageDto {

    @ApiModelProperty(value = "水表电子号")
    private String meterNo;

    @ApiModelProperty(value = "操作类型")
    private Integer type;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

}
