package com.zcxk.rmcp.api.dto.meterreadrecord;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author Andy
 * @version V1.0
 * @description: 抄表记录更新读数
 * @date 2021/7/22
 **/
@Data
public class MeterReadRecordUpdateDto  {

    @NotNull
    @NotEmpty
    @ApiModelProperty(value="ID")
    private String id;

    @NotNull
    @NotEmpty
    @ApiModelProperty(value="读表日期 yyyy-MM-dd")
    private String readDate;

    @ApiModelProperty(value="读数")
    @NotNull
    @NotEmpty
    private String readData;
}
