package com.zcxk.rmcp.api.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author linqingwei
 * @date 2021-07-29 16:40
 */
@Data
public class DeviceDetailVo extends DeviceVo{
    @ApiModelProperty(value="用户姓名")
    private String userName;

    @ApiModelProperty(value="用户手机号")
    private String userPhone;

    @ApiModelProperty(value="身份证号")
    private String idCard;

    @ApiModelProperty(value="旧表止度")
    private String oldEndDegree;

    @ApiModelProperty(value="旧表照片")
    private String oldImageUrl;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="最后告警时间")
    private LocalDateTime lastAlarmDate;

    @ApiModelProperty(value="离线天数")
    private Integer offlineDays;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="验收时间")
    private LocalDateTime acceptDate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="安装时间")
    private LocalDateTime installDate;

    @ApiModelProperty(value="是否安装，0否1是")
    private Integer isInstall;

    @ApiModelProperty(value="是否验收，0否1是")
    private Integer isAccept;

    @ApiModelProperty(value = "省名称")
    private String provinceName;

    @ApiModelProperty(value = "市名称")
    private String cityName;

    @ApiModelProperty(value = "区名称")
    private String regionName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
}
