package com.zcxk.rmcp.api.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author Andy
 * @version V1.0
 * @description: TODO
 * @date 2021/8/2
 **/
@Data
public class ProductMeasuringDictVo implements Serializable {

    @ApiModelProperty(value="测点id")
    private Integer pointId;

    @ApiModelProperty(value="数据值")
    private String dataValue;

    @ApiModelProperty(value="数据名称")
    private String dataName;

    @JsonIgnore
    @ApiModelProperty(value="数据描述")
    private String dataDesc;

    @JsonIgnore
    @ApiModelProperty(value="状态")
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="创建人")
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="更新人")
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @JsonIgnore
    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateDate;
}
