package com.zcxk.rmcp.core.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @author linqingwei
 * @date 2021-08-12 10:33
 */
@ApiModel(value="抄表记录")
@Data
public class MeterReadRecord {

    @ApiModelProperty(value="主键")
    private Long id;

    @ApiModelProperty(value="读表日期")
    private Integer readDate;

    @ApiModelProperty(value="租户")
    private String tenantId;

    @ApiModelProperty(value="分类")
    private Integer categoryId;

    @ApiModelProperty(value="设备类型")
    private Integer productId;

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="小区")
    private Integer communityId;

    @ApiModelProperty(value="公司")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门")
    private Integer deptOrgId;

    @ApiModelProperty(value="集中器")
    private Integer concentratorId;

    @ApiModelProperty(value="采集器")
    private Integer collectorId;

    @ApiModelProperty(value="读表时间")
    private LocalDateTime readTime;

    @ApiModelProperty(value="读表状态")
    private Integer readStatus;

    @ApiModelProperty(value="读表数据")
    private String readData;

    @ApiModelProperty(value="最近有效数据")
    private String lastValid;

    @ApiModelProperty(value="距离上次的消耗")
    private BigDecimal lastCost;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;
}