package com.zcxk.rmcp.core.entity;

import com.zcxk.core.mysql.base.BaseDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author Andy
 * @version V1.0
 * @description: 用水记录
 * @date 2021/7/26
 **/
@ApiModel(value="用水记录")
@Data
public class MeterReadWaterRecord extends BaseDO {

    @ApiModelProperty(value="统计日期")
    private Integer statDay;

    @ApiModelProperty(value="租户ID")
    private String tenantId;

    @ApiModelProperty(value="分类ID")
    private Integer categoryId;

    @ApiModelProperty(value="公司ID")
    private Integer companyOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer deptOrgId;

    @ApiModelProperty(value="部门ID")
    private Integer communityId;

    @ApiModelProperty(value="用水量")
    private BigDecimal waterConsumption;


}
